.intro {
    margin-left: rem(-16);
    margin-right: rem(-15);

    &__primary {
        overflow: hidden;
        position: relative;

        .swiper-pagination {
            left: rem(100);
            right: rem(100);
        }
    }

    &__secondary {
        display: none;
        overflow: hidden;
        position: relative;
    }

    &__nav {
        display: none;
    }

    &__switcher {
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        width: rem(42);
        height: rem(42);
        flex-shrink: 0;
        overflow: hidden;
        cursor: pointer;
        border-radius: 4px;
        fill: var(--gray-70);
        background: rgba(255, 255, 255, 0.5);
        transition: var(--transition-time);
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(24);
            flex-shrink: 0;
            display: inline-block;
        }

        &:hover {
            background: rgba(255, 255, 255, 0.8);
            transition: var(--transition-time);
        }
    }

    .swiper-slide {
        overflow: hidden;
   //     border-radius: 4px;
    }

    @include media-breakpoint-up(sm) {
        margin-left: 0;
        margin-right: 0;

        &__primary {
            border-radius: 4px;
        }

        &__secondary {
            border-radius: 4px;
        }
    }

    @include media-breakpoint-up(md) {

        .swiper-pagination {
            bottom: rem(24);
        }

        &__primary {

            .swiper-pagination {
                left: rem(200);
                right: rem(200);
            }
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        justify-content: space-between;

        &__primary {
            flex-shrink: 0;
            width: calc(100% - 324px);
        }

        &__secondary {
           display: block;
            width: 320px;
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__switcher {
            width: rem(32);
            height: rem(32);

            i {
                height: rem(16);
            }
        }

        &__nav {
            bottom: rem(28);
            z-index: 100;
            display: flex;
            align-items: center;
            column-gap: rem(9);
            position: absolute;

            &--primary {
                left: rem(28);
            }

            &--secondary {
                right: rem(28);
            }
        }

        &__primary {
            flex-shrink: 0;
            width: calc(100% - 320px);
        }

        &__secondary {
            width: 316px;
        }

        .swiper-pagination {
            opacity: 0;
            display: none;
            visibility: hidden;
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.intro-primary {
    color: white;
    overflow: hidden;
    position: relative;
    min-height: rem(160);
    display: flex;
    flex-direction: column;

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__content {
        z-index: 10;
        padding: rem(13) rem(16);
        position: relative;
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__lead {
        opacity: .75;
        font-size: rem(11);
        line-height: rem(20);
        margin-bottom: rem(8);
    }

    &__title {
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(22);
        max-width: rem(210);
        flex-grow: 1;
    }

    &__button {
        margin-top: rem(8);
    }

    &__link {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        display: block;
        position: absolute;
    }

    @include media-breakpoint-up(sm) {

    }

    @include media-breakpoint-up(md) {
        min-height: rem(270);

        &__content {
            padding: rem(24);
        }

        &__lead {
            font-size: rem(17);
            line-height: rem(24);
            margin-bottom: rem(16);
        }

        &__title {
            font-size: rem(26);
            line-height: rem(30);
            max-width: rem(435);
        }
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(280);

        &__content {
            padding: rem(28) rem(28) rem(76) rem(28);
        }

        &__lead {
            margin-bottom: rem(24);
        }

        &__title {
            font-size: rem(24);
            line-height: rem(30);
            max-width: rem(420);
        }
    }
}

.intro-secondary {
    color: white;
    overflow: hidden;
    text-align: center;
    min-height: rem(160);
    display: flex;
    flex-direction: column;

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__content {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        height: 100%;
        position: absolute;
        padding: rem(32) rem(32) rem(52) rem(32);
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        background: linear-gradient(180.00deg, rgba(30, 70, 92, 0),rgba(30, 70, 92, 0.5) 53%);
    }

    &__title {
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(28);
    }

    &__link {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        display: block;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        min-height: rem(270);
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(280);

        &__content {
            padding-bottom: rem(92);
        }
    }
}

.intro-button {
    min-height: rem(24);
    font-size: rem(11);
    line-height: rem(14);
    padding: rem(2) rem(12);

    @include media-breakpoint-up(md) {
        min-height: rem(32);
        font-size: rem(11);
        line-height: rem(16);
        padding: rem(4) rem(12);
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
